Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,23 @@
redis-001-uclibc.patch: This patch fixes redis so that it can be compiled
against uclibc. Patch originates from:
Support cross-compiling for uClibc targets
https://github.com/antirez/redis/pull/537
Mike Steinert, mike.steinert@gmail.com
Signed-off-by: Daniel Price <daniel.price@gmail.com>
[Martin: adapt to 3.0.3]
Signed-off-by: Martin Bark <martin@barkynet.com>
=========================================================================
diff -ur old/src/config.h new/src/config.h
--- old/src/config.h 2012-10-26 07:20:24.000000000 -0700
+++ new/src/config.h 2012-10-31 13:41:51.206309564 -0700
@@ -62,7 +62,7 @@
#endif
/* Test for backtrace() */
-#if defined(__APPLE__) || (defined(__linux__) && defined(__GLIBC__))
+#if defined(__APPLE__) || (defined(__linux__) && defined(__GLIBC__) && !defined(__UCLIBC__))
#define HAVE_BACKTRACE 1
#endif

View File

@@ -0,0 +1,32 @@
Define _LARGEFILE_SOURCE and _FILE_OFFSET_BITS conditionally
In order to avoid ugly warnings at compile time, only define
_LARGEFILE_SOURCE and _FILE_OFFSET_BITS if they have not already been
defined through the build command line.
Avoids:
In file included from redis.h:33:0,
from migrate.c:1:
fmacros.h:45:0: warning: "_LARGEFILE_SOURCE" redefined
<command-line>:0:0: note: this is the location of the previous definition
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Index: redis-2.6.11/src/fmacros.h
===================================================================
--- redis-2.6.11.orig/src/fmacros.h 2013-03-25 22:09:15.000000000 +0100
+++ redis-2.6.11/src/fmacros.h 2013-03-25 22:09:40.000000000 +0100
@@ -42,7 +42,12 @@
#define _XOPEN_SOURCE
#endif
+#ifndef _LARGEFILE_SOURCE
#define _LARGEFILE_SOURCE
+#endif
+
+#ifndef _FILE_OFFSET_BITS
#define _FILE_OFFSET_BITS 64
+#endif
#endif

View File

@@ -0,0 +1,37 @@
Taken from archlinux redis package
See https://projects.archlinux.org/svntogit/community.git/tree/trunk/redis.conf-sane-defaults.patch?h=packages/redis&id=5b2491ea61b746f289acebd12bc66e337d7e5b88
Signed-off-by: Martin Bark <martin@barkynet.com>
=========================================================================
diff --git a/redis.conf b/redis.conf
index 6efb6ac..344e021 100644
--- a/redis.conf
+++ b/redis.conf
@@ -61,7 +61,7 @@ tcp-backlog 511
# Examples:
#
# bind 192.168.1.100 10.0.0.1
-# bind 127.0.0.1
+bind 127.0.0.1
# Specify the path for the Unix socket that will be used to listen for
# incoming connections. There is no default, so Redis will not listen
@@ -87,7 +87,7 @@ timeout 0
# On other kernels the period depends on the kernel configuration.
#
# A reasonable value for this option is 60 seconds.
-tcp-keepalive 0
+tcp-keepalive 60
# Specify the server verbosity level.
# This can be one of:
@@ -184,7 +184,7 @@ dbfilename dump.rdb
# The Append Only File will also be created inside this directory.
#
# Note that you must specify a directory here, not a file name.
-dir ./
+dir /var/lib/redis/
################################# REPLICATION #################################

View File

@@ -0,0 +1,14 @@
config BR2_PACKAGE_REDIS
bool "redis"
depends on BR2_USE_MMU # fork()
depends on BR2_TOOLCHAIN_HAS_THREADS
help
Redis is an open source, advanced key-value store. It is
often referred to as a data structure server since keys can
contain strings, hashes, lists, sets and sorted sets.
http://www.redis.io
comment "redis needs a toolchain w/ threads"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS

View File

@@ -0,0 +1,38 @@
#!/bin/sh
#
# start redis
#
start() {
printf "Starting redis: "
umask 077
start-stop-daemon -S -q -c redis:redis -b \
--exec /usr/bin/redis-server -- /etc/redis.conf
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping redis: "
/usr/bin/redis-cli shutdown
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,4 @@
# From https://github.com/antirez/redis-hashes/blob/master/README
sha1 e56b4b7e033ae8dbf311f9191cf6fdf3ae974d1c redis-3.0.7.tar.gz
# Calculated based on the hash above
sha256 b2a791c4ea3bb7268795c45c6321ea5abcc24457178373e6a6e3be6372737f23 redis-3.0.7.tar.gz

View File

@@ -0,0 +1,46 @@
################################################################################
#
# redis
#
################################################################################
REDIS_VERSION = 3.0.7
REDIS_SITE = http://download.redis.io/releases
REDIS_LICENSE = BSD-3c (core); MIT and BSD family licenses (Bundled components)
REDIS_LICENSE_FILES = COPYING
define REDIS_USERS
redis -1 redis -1 * /var/lib/redis /bin/false - Redis Server
endef
# Redis doesn't support DESTDIR (yet, see
# https://github.com/antirez/redis/pull/609). We set PREFIX
# instead.
REDIS_BUILDOPTS = $(TARGET_CONFIGURE_OPTS) \
PREFIX=$(TARGET_DIR)/usr MALLOC=libc \
define REDIS_BUILD_CMDS
$(TARGET_MAKE_ENV) $(MAKE) $(REDIS_BUILDOPTS) -C $(@D)
endef
define REDIS_INSTALL_TARGET_CMDS
$(TARGET_MAKE_ENV) $(MAKE) $(REDIS_BUILDOPTS) -C $(@D) \
LDCONFIG=true install
$(INSTALL) -D -m 0644 $(@D)/redis.conf \
$(TARGET_DIR)/etc/redis.conf
endef
define REDIS_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/redis/S50redis \
$(TARGET_DIR)/etc/init.d/S50redis
endef
define REDIS_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 0644 package/redis/redis.service \
$(TARGET_DIR)/usr/lib/systemd/system/redis.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -fs ../../../../usr/lib/systemd/system/redis.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/redis.service
endef
$(eval $(generic-package))

View File

@@ -0,0 +1,22 @@
[Unit]
Description=Advanced key-value store
After=network.target
[Service]
Type=simple
User=redis
Group=redis
ExecStart=/usr/bin/redis-server /etc/redis.conf
ExecStop=/usr/bin/redis-cli shutdown
CapabilityBoundingSet=
PrivateTmp=true
PrivateDevices=true
ProtectSystem=full
ProtectHome=true
NoNewPrivileges=true
RuntimeDirectory=redis
RuntimeDirectoryMode=755
LimitNOFILE=10032
[Install]
WantedBy=multi-user.target